diff --git a/src/backend/catalog/objectaddress.c b/src/backend/catalog/objectaddress.c
index 6d88b690d8..f827c178de 100644
--- a/src/backend/catalog/objectaddress.c
+++ b/src/backend/catalog/objectaddress.c
@@ -5608,10 +5608,6 @@ getObjectIdentityParts(const ObjectAddress *object,
 				HeapTuple	tup;
 				Form_pg_event_trigger trigForm;
 
-				/* no objname support here */
-				if (objname)
-					*objname = NIL;
-
 				tup = SearchSysCache1(EVENTTRIGGEROID,
 									  ObjectIdGetDatum(object->objectId));
 				if (!HeapTupleIsValid(tup))
@@ -5624,6 +5620,8 @@ getObjectIdentityParts(const ObjectAddress *object,
 				trigForm = (Form_pg_event_trigger) GETSTRUCT(tup);
 				appendStringInfoString(&buffer,
 									   quote_identifier(NameStr(trigForm->evtname)));
+				if (objname)
+					*objname = lappend(*objname, pstrdup(NameStr(trigForm->evtname)));
 				ReleaseSysCache(tup);
 				break;
 			}
